<!DOCTYPE html>
<html>

<head>
  <title> Task 12.30 </title>
  <meta charset="UTF-8">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
</head> 

<body>
  <!-- Bắt đầu vùng form màu xám -->
  <div class="container jumbotron p-4 my-3">
    <div class="row form-group">
      <label id="label-ma-mon" class="col-md-2 col-form-label">Mã môn học <span class="text-danger">(*)</span></label>
      <div class="col-md-4">
        <input type="text" class="form-control" placeholder="Nhập mã môn ..." id="input-ma-mon">
      </div>
    </div>
    <div class="row form-group">
      <label id="label-ten-mon" class="col-md-2 col-form-label">Tên môn <span class="text-danger">(*)</span></label>
      <div class="col-md-4">
        <input type="text" class="form-control" placeholder="Nhập tên môn ..." id="input-ten-mon">
      </div>
    </div>
    <div class="row form-group">
      <label id="label-so-tin-chi" class="col-md-2 col-form-label">Số tín chỉ <span class="text-danger">(*)</span></label>
      <div class="col-md-4">
        <input type="text" class="form-control" placeholder="Nhập số tín chỉ ..." id="input-tin-chi">
      </div>
      <div class="col-sm-2">
        <button class="btn btn-info" id="btn-save-data" onclick="onBtnSaveDataClick()">Save data</button>
      </div>
    </div>
  </div>
  <!-- Kết thúc vùng form màu xám -->

  <!-- vùng hiển thị thông tin môn học -->
  <div id="div-container-subject" class="container bg-info" style="display: none;">
    <div id="div-subject-infor" class="text-white p-3">...</div>
  </div>

  <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onBtnSaveDataClick() {
      console.log("Lưu dữ liệu môn học");
      // khai báo đối tượng môn học chứa dữ liệu
      var vMonHoc = {
        maMon: "",
        tenMon: "",
        soTinChi: 0
      }
      // B1: thu thập dữ liệu
      getSubjectData(vMonHoc);
      
      // B2: kiểm tra dữ liệu
      var vValid = validateSubjectData(vMonHoc);
       
      // B3: ghi dữ liệu vào vùng màu xanh
      if (vValid) {
        showSubjectData(vMonHoc);
      }
    }
    
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //Hàm thu thập dữ liệu trên form
    function getSubjectData(paramMonHoc) {
      //Truy suất vào các phần tử
      var vInputMaMon = document.getElementById("input-ma-mon");
      var vInputTenMon = document.getElementById("input-ten-mon");
      var vInputTinChi = document.getElementById("input-tin-chi");

      //gán giá trị nhập trên form cho các thuộc tính
      paramMonHoc.maMon = vInputMaMon.value.trim();
      paramMonHoc.tenMon = vInputTenMon.value.trim();
      paramMonHoc.soTinChi = parseInt(vInputTinChi.value.trim());
    }

    //Hàm kiểm tra dữ liệu nhập trên form
    function validateSubjectData(paramMonHoc) {
      if (paramMonHoc.maMon == "") {
        alert("Phải nhập mã môn học");
        return false;
      }

      if (paramMonHoc.tenMon == "") {
        alert("Phải nhập tên môn học");
        return false;
      }

      if (paramMonHoc.soTinChi == 0 || isNaN(paramMonHoc.soTinChi)) {
        alert("Phải nhập vào số tín chỉ hợp lệ");
        return false;
      }

      return true;
    }

    //hàm hiển thị dữ liệu môn học lên form
    function showSubjectData(paramMonHoc) {
      //truy suất các phần tử
      var vDivContainerSubject = document.getElementById("div-container-subject");
      var vDivSubjectInfor = document.getElementById("div-subject-infor");

      //hiển thị vùng chưa dữ liệu
      vDivContainerSubject.style.display = "block";

      //hiển thị dữ liệu
       vDivSubjectInfor.innerHTML = "Mã môn học: " + paramMonHoc.maMon;
       vDivSubjectInfor.innerHTML += "<br/>Tên môn học: " + paramMonHoc.tenMon;
       vDivSubjectInfor.innerHTML += "<br/>Số tín chỉ: " + paramMonHoc.soTinChi;
      //vDivSubjectInfor.innerHTML = paramMonHoc;
    }
  </script>
</body>

</html>